Bug 147950 - FILESAVE DOC(X): looses bolded crossed out effect attribute of words when file is saved
Summary: FILESAVE DOC(X): looses bolded crossed out effect attribute of words when fil...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
: 147949 (view as bug list)
Depends on:
Blocks: Font-Effects
  Show dependency treegraph
 
Reported: 2022-03-12 22:18 UTC by Bernard Guilet
Modified: 2022-10-24 03:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Illustration of the loss of attribute of word while file is saved. (5.87 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2022-03-12 22:18 UTC, Bernard Guilet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Guilet 2022-03-12 22:18:51 UTC
Created attachment 178850 [details]
Illustration of the loss of attribute of word while file is saved.

This happens whichever file format is used, Word 97-2003 (*.doc) or Word 2007-365 (*.docx).

It is not new with recent releases of LibreOffice.
Comment 1 Bernard Guilet 2022-03-12 22:22:38 UTC
This happens whichever file format is used, Word 97-2003 (*.doc) or Word 2007-365 (*.docx).

It is not new with recent releases of LibreOffice.
Comment 2 Dieter 2022-03-26 06:13:41 UTC
Initial report from bug 147949 (also from Bernard Guliet)

Created attachment 178849 [details]
Illustration of Writer Filesave loosing bold words attributes

BUG : LIBRE OFFICE WRITER					March 12th, 2022

Bug Description Line :   
FILESAVE : Writer looses bolded crossed out effect attribute of words when file is saved.

My environment : Windows 10 (x64) running on a PC ASUSTek AS M32BF_K30BF.
			LibreOffice Version 7.3.1.3 (x64) / LibreOffice Community.

Symptom : within Writer, a word with a bolded crossed out effect, looses its attribute when the text is saved as a file onto disk and therafter this file is reopened. 
That happens whichever file format is used, Word 97-2003 (*.doc) or Word 2007-365 (*.docx).

Consider the following list as an example,

Example :	January
		February
		March
		April
		May
		June
		July
		...

and save it into a file on disc. as .doc or .docx format.

Now, mark certain words of this list (e.g. February, April, June) with a selection in the Format menu as follows, 
→ Character →  Character effect →  Character decoration → Crossed out → Bold  (*).

The list (should) appear now as follows :

Example :	January
		February	it should appear as Bolded, but it has lost its attribute,
		March		as it has been saved and reopened for mailing it to Bugzilla.
		April		       "          "              "
		May
		June		       "          "              "
		July
		...

Then save the file with this example of bolded crossed out words, exit Writer, and then reopen it.
Now it appears as follows, "bolded crossed out" words have turned into "simple crossed out" !!!

Example :	January
		February	it should appear as bolded crossed out here, after file reopen !!!
		March
		April   	                   "          "              " 
		May
		June          	       "          "              "
		July
		…

(*) NOTE :  As I uses a french version of Libre Office, Menu Words may differ ...
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Add Comment
	

    Collapse All Comments
    Expand All Comments
Comment 3 Dieter 2022-03-26 06:14:15 UTC
*** Bug 147949 has been marked as a duplicate of this bug. ***
Comment 4 Dieter 2022-03-26 06:24:31 UTC
Steps I've tried to reproduce:
1. open attachment 178850 [details]
2. Select at least a word
3. Format -> Character -> Font Effects - Strikethrough -> With X
4. Save (as docx) and relaod

Actual behaviour:
Strikethrough with X changes to single strikethrough

Expected behaviour:
Should still be strikethrough with X.

Bernard, that's not the problem you describe, but I can't see a way to make strikethrough bold.

So is the described problem your proplem? If not, please decribe some steps (in the way I did).
=> NEEDINFO
Comment 5 QA Administrators 2022-09-23 04:32:03 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2022-10-24 03:42:58 UTC
Dear Bernard Guilet,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp